# WOK
TKWOK
EDL

# EDL_StackOfBoolean Class Reference

`#include <EDL_StackOfBoolean.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | EDL_StackOfBoolean ()
Standard_EXPORT const EDL_StackOfBoolean & | Assign (const EDL_StackOfBoolean &Other)
const EDL_StackOfBoolean & | operator= (const EDL_StackOfBoolean &Other)
Standard_Boolean | IsEmpty () const
Standard_Integer | Depth () const
Standard_EXPORT const Standard_Boolean & | Top () const
Standard_EXPORT void | Push (const Standard_Boolean &I)
Standard_EXPORT void | Pop ()
Standard_EXPORT void | Clear ()
| ~EDL_StackOfBoolean ()
Standard_EXPORT Standard_Boolean & | ChangeTop ()

## Private Member Functions

Standard_EXPORT | EDL_StackOfBoolean (const EDL_StackOfBoolean &Other)

## Private Attributes

Standard_Address | myTop
Standard_Integer | myDepth

## Constructor & Destructor Documentation

Standard_EXPORT EDL_StackOfBoolean::EDL_StackOfBoolean | ( |  | ) |

EDL_StackOfBoolean::~EDL_StackOfBoolean | ( |  | ) | `[inline]`

Standard_EXPORT EDL_StackOfBoolean::EDL_StackOfBoolean | ( | const EDL_StackOfBoolean & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT const EDL_StackOfBoolean& EDL_StackOfBoolean::Assign | ( | const EDL_StackOfBoolean & | Other | ) |

Standard_EXPORT Standard_Boolean& EDL_StackOfBoolean::ChangeTop | ( |  | ) |

Standard_EXPORT void EDL_StackOfBoolean::Clear | ( |  | ) |

Standard_Integer EDL_StackOfBoolean::Depth | ( |  | ) | const

Standard_Boolean EDL_StackOfBoolean::IsEmpty | ( |  | ) | const

void EDL_StackOfBoolean::operator delete | ( | void * | anAddress | ) | `[inline]`

void* EDL_StackOfBoolean::operator new | ( | size_t | size | ) | `[inline]`

void* EDL_StackOfBoolean::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

const EDL_StackOfBoolean& EDL_StackOfBoolean::operator= | ( | const EDL_StackOfBoolean & | Other | ) | `[inline]`

Standard_EXPORT void EDL_StackOfBoolean::Pop | ( |  | ) |

Standard_EXPORT void EDL_StackOfBoolean::Push | ( | const Standard_Boolean & | I | ) |

Standard_EXPORT const Standard_Boolean& EDL_StackOfBoolean::Top | ( |  | ) | const

## Field Documentation

Standard_Integer EDL_StackOfBoolean::myDepth `[private]`

Standard_Address EDL_StackOfBoolean::myTop `[private]`

The documentation for this class was generated from the following file:

- EDL_StackOfBoolean.hxx